/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author David Rodríguez Huaracha
 */
@Entity
@Immutable
@Table(name = "APC_LOAN_NEW_CUSTOMER_LAST_WEEK_VIEW")
public class ResumeNewCustomerLastWeekView implements Serializable{

    private static final long serialVersionUID = -6384789811291615117L;
    
    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "name")
    private String name;
    
    @Column(name = "new_customer")
    private int newCustomer;
    
    @Column(name = "total_new_customer")
    private BigDecimal totalNewCustomer;    
    
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getNewCustomer() {
        return newCustomer;
    }

    public void setNewCustomer(int newCustomer) {
        this.newCustomer = newCustomer;
    }

    public BigDecimal getTotalNewCustomer() {
        return totalNewCustomer;
    }

    public void setTotalNewCustomer(BigDecimal totalNewCustomer) {
        this.totalNewCustomer = totalNewCustomer;
    }
}
